AudioMulch Help > Introducing AudioMulch Previous Next

System Requirements

AudioMulch runs on PC and Mac. AudioMulch is tested on the lastest system update of the supported operating systems. Minimum system requirements are:


Windows XP, Vista, Windows 7, or newer.

Windows-compatible audio interface


Intel processors only (PowerPC not supported)

OS X 10.5 (Leopard), 10.6 (Snow Leopard), 10.7 (Lion), 10.8 (Mountain Lion) or newer.

Previous Next